// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.

#import "NSData-OBObjectCompatibility.h"
#import <Foundation/Foundation.h>

#import "rcsid.h"

RCS_ID("$Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniBase/NSData-OBObjectCompatibility.m,v 1.3 1998/01/12 06:53:07 kc Exp $")

@implementation NSData (OBObjectCompatibility)

unsigned int NSDataShortDescriptionLength = 40;

- (NSString *)shortDescription;
{
    NSString                   *description;

    description = [self description];
    if ([description length] <= NSDataShortDescriptionLength)
	return description;
    return [[description substringToIndex:NSDataShortDescriptionLength]
            stringByAppendingString:@"..."];
}

@end

